Go to main content

Textpattern CMS support forum

You are not logged in. Register | Login | Help

#31 2021-01-09 10:24:46

phiw13
Plugin Author
From: Japan
Registered: 2004-02-27
Posts: 2,233
Website

Re: Vanilla Textpattern 4.8.4 hiccup

Ok, modified the file, reloading the panel then gives me:

Pre-flight check

New Textpattern version 4.8.4 available for download. Help

/Users/[username]/Sites/txp-dev/textpattern/setup/ still exists. Help

Diagnostic info

The above is the expected text, I think. Still no issues to report. I’ll let that file remain modified till tomorow and see if it complains.


Where is that emoji for a solar powered submarine when you need it ?

Offline

#32 2021-01-09 13:20:43

Bloke
Developer
From: Leeds, UK
Registered: 2006-01-29
Posts: 9,996
Website

Re: Vanilla Textpattern 4.8.4 hiccup

phiw13 wrote #328109:

New Textpattern version…

Yeah, I spotted that. It’s a bit odd that it thinks your current version (4.8.4) is ‘older’ than the currently available version (4.8.4) so I might have to check the logic there.

Aside: does the Diagnostics panel indicate your PHP SSL version correctly?


The smd plugin menagerie — for when you need one more gribble of power from Textpattern. Bleeding-edge code available on GitHub.

Txp Builders – finely-crafted code, design and Txp

Offline

#33 2021-01-09 21:18:21

gomedia
Plugin Author
Registered: 2008-06-01
Posts: 1,303
Website

Re: Vanilla Textpattern 4.8.4 hiccup

For the record, here’re the values in my old-fashioned 5.6.21 setup:

OPENSSL_VERSION_TEXT = OpenSSL 0.9.8zc 19 Mar 2015
OPENSSL_VERSION_NUMBER = 9470431

and in 7.3.11:

OPENSSL_VERSION_TEXT = LibreSSL 2.8.3
OPENSSL_VERSION_NUMBER = 536870912

Have updated the code & output post to include OPENSSL_VERSION_NUMBER

Last edited by gomedia (2021-01-09 22:00:50)

Offline

#34 2021-01-10 00:30:47

phiw13
Plugin Author
From: Japan
Registered: 2004-02-27
Posts: 2,233
Website

Re: Vanilla Textpattern 4.8.4 hiccup

Bloke wrote #328112:

Aside: does the Diagnostics panel indicate your PHP SSL version correctly?

Yes. PHP SSL version: LibreSSL 2.8.3, which matches what Adi posted above.

At the command line:

$openssl version
LibreSSL 2.8.3

after that many hours, I revisited the Diagnostics panel, still no complains/errors/warnings, same output as posted above


Where is that emoji for a solar powered submarine when you need it ?

Offline

Board footer

Powered by FluxBB